Last Comment Bug 813948 - Copy/Paste event from a Google Calendar has non-Standard entries in VCALENDAR data
: Copy/Paste event from a Google Calendar has non-Standard entries in VCALENDAR...
Status: RESOLVED FIXED
https://getsatisfaction.com/mozilla_m...
:
Product: Calendar
Classification: Client Software
Component: Provider: GData (show other bugs)
: Lightning 1.9
: All All
: -- normal (vote)
: 2.2
Assigned To: Matthew Mecca [:mmecca]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-21 05:01 PST by Gene Scharmann
Modified: 2012-12-08 10:02 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fix v1 (1.69 KB, patch)
2012-12-01 08:51 PST, Matthew Mecca [:mmecca]
philipp: review+
Details | Diff | Review

Description Gene Scharmann 2012-11-21 05:01:55 PST
User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:17.0) Gecko/17.0 Firefox/17.0
Build ID: 20121119183901

Steps to reproduce:

In TBird, copy an event from a Google Calendar (MS-Win CTRL-C)
Paste it in another calendar (not a Google Calendar)

(You don't have to paste it, just examine the clipboard data)


Actual results:

Other programs that access the second calendar file do not show the event or do not function correctly.

This only occurs with events copied from a Google Calendar.
Suspect it began with 2012-10-03 version of Lightning/Google Provider.
Still happens with TBird 17.0, Lightning 1.0 and Google Provider 1.8)


Expected results:

According to the Standard, the VCALENDAR entries for CREATED; LAST-MODIFIED have to be UTC **NOT** timezone'd.
(From the copied VCALENDAR data
CREATED;TZID=Europe/Oslo:20120612T080728
LAST-MODIFIED;TZID=Europe/Oslo:20121024T104916
)
Comment 1 Gene Scharmann 2012-11-21 05:05:13 PST
To analyze the copied VCALENDAR snippet, you can use one of the following Validators:

http://severinghaus.org/projects/icv/
http://icalvalid.cloudapp.net/

Happy (bug) Hunting.
Gene, Bergen NORWAY (UTC+1)
Comment 2 Gene Scharmann 2012-11-21 05:14:53 PST
Whoops...TYPO in 'Actual results:'  It's LIGHTNING version 1.9
Sorry for the finger slip.
Comment 3 Gene Scharmann 2012-11-23 02:49:58 PST
I've changed the 'Provider' to Import/Export. but (without examining the code, I still feel this is a G.Provider problem.
Comment 4 Gene Scharmann 2012-11-29 04:56:39 PST
After checking using CalDEV to access my Google calendars, I'm now sure the problem (Non-Standard 'Create:' and 'Last-Modified:' entries is a GData Provider problem.

CalDEV is nice, but Google APIs only support 'Show an Alert', while GData Provider does a very nice job of allowing 'SMS' and 'EMail' alerts.

Are there any fixes to be expected in Thunderbird 20 and Lightning 2.2. ??
Comment 5 Matthew Mecca [:mmecca] 2012-12-01 08:51:49 PST
Created attachment 687410 [details] [diff] [review]
Fix v1

Converts created and last-modified properties to UTC
Comment 6 Philipp Kewisch [:Fallen] 2012-12-06 00:03:09 PST
Comment on attachment 687410 [details] [diff] [review]
Fix v1

r=philipp, thanks for the patch. I've also updated this locally in the next version of the Provider that includes tasks, but please do check this in anyway.
Comment 7 Matthew Mecca [:mmecca] 2012-12-08 10:02:05 PST
Pushed to comm-central - https://hg.mozilla.org/comm-central/rev/ee58226c6481

Note You need to log in before you can comment on or make changes to this bug.